package com.rv.member.bean;

import com.google.gson.annotations.SerializedName;
import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class MemberListBean extends BaseBean implements Serializable {

    @SerializedName("data")
    private List<MemberCard> data;

    @SerializedName("rel")
    private boolean rel;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public List<MemberCard> getData() {
        return data;
    }

    public void setData(List<MemberCard> data) {
        this.data = data;
    }

    /*****
     * 会员卡
     */
    public class MemberCard implements Serializable {

        private int id;
        private String name;
        private String icon;
        private int level;
        private String describe;
        private long endDate;
        private int discount;
        private int isdel;
        private BigDecimal price;
        private int number;
        private BigDecimal daysPrice ;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }

        public int getLevel() {
            return level;
        }

        public void setLevel(int level) {
            this.level = level;
        }

        public String getDescribe() {
            return describe;
        }

        public void setDescribe(String describe) {
            this.describe = describe;
        }

        public long getEndDate() {
            return endDate;
        }

        public void setEndDate(long endDate) {
            this.endDate = endDate;
        }

        public int getDiscount() {
            return discount;
        }

        public void setDiscount(int discount) {
            this.discount = discount;
        }

        public int getIsdel() {
            return isdel;
        }

        public void setIsdel(int isdel) {
            this.isdel = isdel;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public int getNumber() {
            return number;
        }

        public void setNumber(int number) {
            this.number = number;
        }

        public BigDecimal getDaysPrice() {
            return daysPrice;
        }

        public void setDaysPrice(BigDecimal daysPrice) {
            this.daysPrice = daysPrice;
        }
    }
}
